"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Jwt = void 0;
const common_1 = require("@nestjs/common");
exports.Jwt = (0, common_1.createParamDecorator)((field, req) => {
    const jwt = req.args[0].jwt;
    if (jwt && field) {
        const fieldsChain = field.split('.');
        const data = fieldsChain.reduce((value, field) => value ? value[field] : undefined, jwt);
        return data;
    }
    return jwt;
});
//# sourceMappingURL=jwt.js.map